Repository navigation
Dev #171
New issue
Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.
By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.
Already on GitHub? Sign in to your account
Open
TatevikGr
wants to merge
25
commits into
main
Choose a base branch
from
dev
base: main
Could not load branches
Branch not found: {{ refName }}
Loading
Could not load tags
Nothing to show
Loading
Are you sure you want to change the base?
Some commits from the old base branch may be removed from the timeline,
and old review comments may become outdated.
Open
Dev #171
Changes from all commits
Commits
Show all changes
25 commits
Select commit
Hold shift + click to select a range
f9ee62d
Refactor: env (#170)
TatevikGr eb52ad4
Fix the order of route methods
tatevikg1 7129cec
Remove 'requeued' status from MessageMetadataRequest
tatevikg1 ab507da
Fix response schema references and add conflict response in TemplateC…
tatevikg1 d40679d
Refactor AnalyticsController: update dashboard routes and responses f…
tatevikg1 316b3a9
Add status and sort query parameters to CampaignController and implem…
tatevikg1 a36aaa4
Add getSupportedTypes method to normalizers for type support
tatevikg1 3279971
update phpstan
tatevikg1 72e848a
Elasticsearch (#172)
TatevikGr d7e3fcb
Add endpoints to resume and retrieve stuck campaigns in CampaignContr…
tatevikg1 47d8c24
Rename CampaignProcessorMessageHandler and TestCampaignProcessorMessa…
tatevikg1 d878e83
Update status property in BounceRegexRequest to include 'inactive' op…
tatevikg1 8e2df65
Update SubscribePagePublicNormalizer options serialization
tatevikg1 01847da
Update SubscriptionController to change schema for subscriber deletio…
tatevikg1 f708fe4
Add DomainConfirmationNormalizer and update AnalyticsController to us…
tatevikg1 020eb1b
fix tests
tatevikg1 11c1b54
Update SubscribePageController routes to remove leading slashes
tatevikg1 aae5f51
Fix updatingId reference in UniqueEmailValidator
tatevikg1 41675ad
Add route name prefix api_
tatevikg1 8ca32d3
Refactor UniqueEmailValidator and UniqueLoginNameValidator to use vio…
tatevikg1 f5eb970
Add name converter to UniqueEmailValidator configuration
tatevikg1 df69d24
fix
tatevikg1 0cc7d7d
ref: remove unnecessary privilege checks from SubscribePageController
tatevikg1 86c9ac2
ref: use permissionChecker
tatevikg1 4ef5dc0
Replace AccessDeniedHttpException with AccessDeniedException in Campa…
tatevikg1 File filter
Filter by extension
Conversations
Failed to load comments.
Loading
Jump to
Jump to file
Failed to load files.
Loading
Diff view
Diff view
There are no files selected for viewing
This file contains hidden or bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains hidden or bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains hidden or bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains hidden or bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
| Original file line number | Diff line number | Diff line change |
|---|---|---|
|
|
@@ -15,3 +15,5 @@ | |
| /var/ | ||
| /vendor/ | ||
| .phpunit.result.cache | ||
| .env | ||
| .env.dist | ||
This file contains hidden or bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains hidden or bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains hidden or bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
| Original file line number | Diff line number | Diff line change |
|---|---|---|
| @@ -1,10 +1,10 @@ | ||
| services: | ||
| PhpList\Core\Domain\Messaging\MessageHandler\CampaignProcessor\CampaignProcessorMessageHandler: | ||
| PhpList\Core\Domain\Messaging\MessageHandler\CampaignProcessorMessageHandler: | ||
| autowire: true | ||
| autoconfigure: true | ||
| public: false | ||
|
|
||
| PhpList\Core\Domain\Messaging\MessageHandler\CampaignProcessor\TestCampaignProcessorMessageHandler: | ||
| PhpList\Core\Domain\Messaging\MessageHandler\CampaignProcessorTestMessageHandler: | ||
| autowire: true | ||
| autoconfigure: true | ||
| public: false |
This file contains hidden or bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains hidden or bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains hidden or bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains hidden or bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains hidden or bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains hidden or bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains hidden or bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains hidden or bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains hidden or bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains hidden or bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains hidden or bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Oops, something went wrong.
Oops, something went wrong.
Add this suggestion to a batch that can be applied as a single commit.
This suggestion is invalid because no changes were made to the code.
Suggestions cannot be applied while the pull request is closed.
Suggestions cannot be applied while viewing a subset of changes.
Only one suggestion per line can be applied in a batch.
Add this suggestion to a batch that can be applied as a single commit.
Applying suggestions on deleted lines is not supported.
You must change the existing code in this line in order to create a valid suggestion.
Outdated suggestions cannot be applied.
This suggestion has been applied or marked resolved.
Suggestions cannot be applied from pending reviews.
Suggestions cannot be applied on multi-line comments.
Suggestions cannot be applied while the pull request is queued to merge.
Suggestion cannot be applied right now. Please check back later.
Uh oh!
There was an error while loading. Please reload this page.